# ``twisted`.`mail`.`interfaces`.`IMailboxIMAPListener``

interface documentation

`class IMailboxIMAPListener(Interface): (source)`

Known implementations: `twisted.mail.imap4.IMAP4Client`, `twisted.mail.imap4.IMAP4Server`

View In Hierarchy

Interface for objects interested in mailbox events

Method | `flagsChanged` | Indicates that the flags of one or more messages have changed.
Method | `modeChanged` | Indicates that the write status of a mailbox has changed.
Method | `newMessages` | Indicates that the number of messages in a mailbox has changed.

def flagsChanged(newFlags): (source)
Indicates that the flags of one or more messages have changed.

Parameters
newFlags:`dict` | A mapping of message identifiers to tuples of flags now set on that message.

def modeChanged(writeable): (source)
Indicates that the write status of a mailbox has changed.

Parameters
writeable:`bool` | A true value if write is now allowed, false otherwise.

def newMessages(exists, recent): (source)
Indicates that the number of messages in a mailbox has changed.

Parameters
exists:`int` or `None` | The total number of messages now in this mailbox. If the total number of messages has not changed, this should be `None`.
recent:`int` | The number of messages now flagged `\Recent`. If the number of recent messages has not changed, this should be `None`.